﻿using System;
using System.Collections.Generic;
using System.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Reflection;
using Microsoft.Practices.EnterpriseLibrary.Data;
using Microsoft.Practices.EnterpriseLibrary.Common;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System.Data.Common;
using System.Data;
using Infragistics.Windows.OutlookBar;
using System.Data.SqlClient;
using System.Threading;
using System.Collections;
using System.Windows.Threading;
using System.Windows.Media.Effects;

namespace xamPivotGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            userctrlModTranData = new ModuleTransactionData();
            CreateGroup("5", "Data Explorer", "DWM.Icons.DatabaseSelectRowSearch32.png");            
        }

        private void CreateGroup(String GroupNumber, String GrpHeaderText, String ImagePath)
        {
            try
            {
                OutlookBarGroup group = new OutlookBarGroup();
                group.Header = GrpHeaderText;
                group.Tag = GroupNumber;

                TreeView Tvw = new TreeView();
                Tvw.Name = "TreeView" + GroupNumber;

                for (int i = 0; i < 2; i++)
                {
                    TreeViewItem tviModule = new TreeViewItem();

                    StackPanel sp = new StackPanel();
                    sp.Orientation = System.Windows.Controls.Orientation.Horizontal;
                    sp.Height = 20;
                    TextBlock txt = new TextBlock();
                    if (i == 0)
                        txt.Text = "  " + "Account Payable";
                    else
                        txt.Text = "  " + "Account Receivable";

                    txt.FontWeight = FontWeights.Normal;
                    txt.VerticalAlignment = VerticalAlignment.Center;

                    sp.Children.Add(txt);

                    tviModule.Header = sp;
                    tviModule.Tag = txt.Text;
                    Tvw.Items.Add(tviModule);
                }

                Tvw.SelectedItemChanged += new RoutedPropertyChangedEventHandler<object>(Tvw_SelectedItemChanged);

                group.Content = Tvw;

                //adding the newly created Group to the xamOutlookBar.
                this.xamOutlookBar1.Groups.Add(group);

            }
            catch (SqlException sex)
            {
                throw sex;
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error occurred while creating outlookbar groups.", "Error on startup", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                throw ex;
            }
        }

        ModuleTransactionData userctrlModTranData;

        private void Tvw_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            TreeView tv = (TreeView)e.Source;
            TreeViewItem tvi = (TreeViewItem)tv.SelectedItem;
            userctrlModTranData.ResetPivot();
            this.MainGrid.Children.Clear();
            userctrlModTranData.xamDataGrid1.DataSource = null;
            userctrlModTranData.ModuleName = tvi.Tag.ToString().Trim();
            this.MainGrid.Children.Add(userctrlModTranData);
        }
    }
}
